ConsistencyManagerIF
Date: 2014-11-12

org.gcube.informationsystem.cache.consistency.manager

## Interface ConsistencyManagerIF

- All Known Subinterfaces:
    PollManagerMBean
  All Known Implementing Classes:
    PollManager

      public interface ConsistencyManagerIF

  Declares the necessary methods that all Cache Constistency Managers should implement.
  Author:
    UoA

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<org.apache.axis.message.addressing.EndpointReference>` | `getEPRs(Srv service)` Get EPRs for the given service
    `java.util.Set<org.apache.axis.message.addressing.EndpointReference>` | `getEPRs(Srv service, java.lang.String serviceType)` Get EPRs for the given type of the given service
    `void` | `initialize(SrvRegistry registry)` Initialize the Cache Constistency Manager instance

- - ### Method Detail

    - #### initialize

          void initialize(SrvRegistry registry)
                          throws java.lang.Exception

      Initialize the Cache Constistency Manager instance
      Parameters:
        `registry` - the service registry
      Throws:
        `java.lang.Exception` - in case of initialization error

    - #### getEPRs

          java.util.Set<org.apache.axis.message.addressing.EndpointReference> getEPRs(Srv service)
                                                                                      throws java.lang.Exception

      Get EPRs for the given service
      Parameters:
        `service` - service
      Returns:
        EPRs for the given service
      Throws:
        `java.lang.Exception` - in case of error

    - #### getEPRs

          java.util.Set<org.apache.axis.message.addressing.EndpointReference> getEPRs(Srv service,
                                                                                    java.lang.String serviceType)
                                                                                      throws java.lang.Exception

      Get EPRs for the given type of the given service
      Parameters:
        `service` - service
        `serviceType` - service type
      Returns:
        EPRs for the given type of the given service
      Throws:
        `java.lang.Exception` - in case of error